petsc-3.4.2 2013-07-02

# DMSetCoordinatesLocal

Sets into the DM a local vector that holds the coordinates

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCoordinatesLocal(DM dm, Vec c)

Collective on DM

### Input Parameters

| dm | - the DM
| c | - coordinate vector

### Note

The coordinates of ghost points can be set using DMSetCoordinates() followed by DMGetCoordinatesLocal(). This is intended to enable the setting of ghost coordinates outside of the domain.

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMGetCoordinatesLocal(), DMSetCoordinates(), DMGetCoordinates(), DMGetCoordinateDM()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages